package com.steerinfo.dil.controller;

import com.steerinfo.dil.feign.WMSFeign;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.framework.controller.RESTfulResult;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;
import java.util.Map;

/**
 * @author luobang
 * @create 2021-09-17 14:09
 */
@RestController
@RequestMapping("${api.version}/wms")
public class WMSController extends BaseRESTfulController {
    @Autowired
    WMSFeign wmsFeign;

    @PostMapping("getWmsInboundResult")
    @ApiOperation(value = "展示入库实绩信息")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "apiId", value = "90", required = false, dataType = "BigDecimal"),
    })
    public RESTfulResult getWmsInboundResult( Map<String, Object> mapValue,
                                             Integer apiId,
                                             Integer pageNum,
                                             Integer pageSize){
        return wmsFeign.getWmsInboundResult(mapValue,apiId,pageNum,pageSize);


    }
}
